Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1282)
+++ palm/trunk/SCRIPTS/subjob	(revision 1289)
@@ -1584,38 +1339,33 @@
        if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
        then
-          echo "llsubmit  scpjob.$kennung"      >>  $job_to_send
+          echo "llsubmit  scpjob.$identifier"      >>  $job_to_send
        elif [[ $remote_host = lccrayb || $remote_host = lccrayh ]]
        then
-          echo "msub -q $return_queue  scpjob.$kennung"               >>  $job_to_send
-       elif [[ $(echo $remote_host | cut -c1-5) = lcsgi ]]
-       then
-          echo "rm -rf \$HOME/job_queue/last_job_transfer_protocol"  >>  $job_to_send
-          echo "chmod  u+x  scpjob.$kennung"                         >>  $job_to_send
-          echo "msub  scpjob.$kennung"                               >>  $job_to_send
+          echo "msub -q $return_queue  scpjob.$identifier"               >>  $job_to_send
        elif [[ $remote_host = t3eb  ||  $remote_host = t3eh  ||  $remote_host = t3ej2  ||  $remote_host = t3ej5 ]]
        then
-          echo "qsub -J n  scpjob.$kennung"     >>  $job_to_send
+          echo "qsub -J n  scpjob.$identifier"     >>  $job_to_send
        elif [[ $remote_host = t3es ]]
        then
-          echo "qsub -J n  -s /bin/ksh  scpjob.$kennung"     >>  $job_to_send
+          echo "qsub -J n  -s /bin/ksh  scpjob.$identifier"     >>  $job_to_send
        elif [[ $remote_host = lckiaps ]]
        then
-          echo "mv  scpjob.$kennung  $job_catalog"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"$submcom ${job_catalog}/scpjob.$kennung\" "  >>  $job_to_send
-          echo "rm  ${job_catalog}/scpjob.$kennung"          >>  $job_to_send
+          echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"$submcom ${job_catalog}/scpjob.$identifier\" "  >>  $job_to_send
+          echo "rm  ${job_catalog}/scpjob.$identifier"          >>  $job_to_send
        elif [[ $remote_host = lckyu* ]]
        then
-          echo "scp $PORTOPT scpjob.$kennung  ${remote_username}@${remote_addres}:job_queue"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"cd job_queue; $submcom scpjob.$kennung; rm scpjob.$kennung\" "  >>  $job_to_send
+          echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_addres}:job_queue"           >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
        elif [[ $remote_host = lcflow ]]
        then
-          echo "mv  scpjob.$kennung  $job_catalog"           >>  $job_to_send
-          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$kennung\" "  >>  $job_to_send
+          echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
+          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$identifier\" "  >>  $job_to_send
        else
-          echo "$submcom  scpjob.$kennung"      >>  $job_to_send
+          echo "$submcom  scpjob.$identifier"      >>  $job_to_send
        fi
        if [[ $remote_host != ibmku  &&  $remote_host != lckiaps ]]
        then
-          echo "rm  scpjob.$kennung"            >>  $job_to_send
+          echo "rm  scpjob.$identifier"            >>  $job_to_send
        fi
        if [[ $remote_host = nech ]]
@@ -1625,4 +1375,5 @@
     else
 #       echo "ftpcopy  -d  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+       # ??? funktioniert das ÃŒberhaupt noch ???
        echo "nohup  ftpcopy  -d  -w 15  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null  &"  >>  $job_to_send
     fi
@@ -1634,5 +1385,5 @@
 
 
-    # EIGENTLICHE JOB-DATEI AN QSUB-KOMMANDOS ANHAENGEN
+    # APPEND THE JOB-FILE (CREATE BY mrun) TO THE JOB-DIRECTIVES GENERATED ABOVE
  cat  $file_to_send  >>  $job_to_send
 
@@ -1643,5 +1394,5 @@
  fi
 
-    # remove job file
+    # REMOVE JOB-FILE
  if [[ $remote_host = lctit  ||  $remote_host = ibmku  ||  $remote_host = lcflow ]]
  then
@@ -1651,17 +1402,5 @@
 
 
-
-    # USER-NAME AUF ZIELRECHNER AUS .NETRC-DATEI ERMITTELN
- if [[ -z $remote_user ]]
- then
-    if [[ $remote_host = t3eb  ||  $remote_host = t3eh  ||  $remote_host = t3ej2  ||  $remote_host = t3ej5  ||  $remote_host = t3es  ||  $remote_host = vpp ]]
-    then
-       grep  $remote_addres  ~/.netrc | read dum dum dum remote_user dum dum
-    fi
- fi
-
-
-
-    # JOB AUF ZIELRECHNER TRANSFERIEREN BZW. INS JOBVERZEICHNIS KOPIEREN
+    # TRANSFER JOB TO THE TARGET HOST (JOB-DIRECTORY)
  if [[ $no_submit = false ]]
  then
@@ -1669,5 +1408,5 @@
     then
        [[ $verify = true ]]  &&  printf "\n >>> transfering job to \"$remote_host\"..."
-       if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]    # ssh on ibms cannot handle "~/"
+       if [[ $remote_host = ibms ]]    # ssh on ibms cannot handle "~/"
        then
           job_catalog_save=$job_catalog
@@ -1680,6 +1419,5 @@
        if [[ $remote_host = nech ]]
        then
-             # DATEIEN KOENNEN NUR UEBER DEN ARCHIVE-SERVER DES DKRZ
-             # TRANSFERIERT WERDEN
+             # FILES CAN ONLY BE TRANSFERED VIA DKRZ'S ARCHIVE-SERVER
           scp  $PORTOPT  $job_to_send  ${remote_user}@136.172.44.205:${job_catalog}/$job_on_remhost
        else
@@ -1702,14 +1440,10 @@
 
 
-       # NQS- BZW. LOADLEVELER-JOB STARTEN
+       # START NQS- / LOADLEVELER-JOB
     if [[ $remote_host != $local_host ]]
     then
        [[ $verify = true ]]  &&  printf "\n >>> submitting job using \"qsub\"...\n"
 
-       if [[ $(echo $remote_host | cut -c1-5) = lcsgi  &&  $prio = true ]]
-       then
-          printf "\n >>> submit with HLRN qos-feature hiprio...\n"
-          ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom -l qos=hiprio $job_on_remhost; rm $job_on_remhost"
-       elif [[ $remote_host = ibmku ]]
+       if [[ $remote_host = ibmku ]]
        then
           ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
@@ -1724,8 +1458,8 @@
     else
        cd  $job_catalog
-       if [[ $(echo $local_host | cut -c1-5) = lcsgi  ||  $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray ]]
+       if [[ $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray ]]
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi ||  $localhost = lcyon || $localhost = lcsb  ||  $localhost = lckyu* ]]
+       elif [[  $local_host = lctit  ||  $localhost = lcxe6  ||  $localhost = lck  || $localhost = lckordi ||  $localhost = lcyon || $localhost = lcsb  ||  $localhost = lckyu* ]]
        then
           chmod  u+x  $job_on_remhost
@@ -1743,6 +1477,6 @@
        fi
 
-          # Jobfile must not be deleted on lctit/ibmku!! This will be done
-          # only at the end of the job.
+          # JOBFILE MUST NOT BE DELETED ON lctit/ibmku/lcflow. THIS WILL BE DONE
+          # AT THE END OF THE JOB
        if [[ $local_host != lctit  &&  $local_host != ibmku  &&  $local_host != lcflow ]]
        then
@@ -1755,6 +1489,5 @@
 
 
-    # ABSCHLUSSARBEITEN
-
+    # FINAL ACTIONS
  if [[ $no_submit = false ]]
  then
